EMF::EMRENDPATH(3)

NAME
EMF::EMRENDPATH - EMF End Path.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRABORTPATH.

  Public Member Functions

EMRENDPATH (void)
EMRENDPATH (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF End Path.

End the current path definition.

Constructor & Destructor Documentation

  EMF::EMRENDPATH::EMRENDPATH (void) [inline]
Create an End Path record.

  EMF::EMRENDPATH::EMRENDPATH (DATASTREAM & ds) [inline]
Construct an EndPath record from the input stream.

Parameters:
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRENDPATH::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters:
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRENDPATH::serialize (DATASTREAM ds) [inline], [virtual]

Parameters:
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRENDPATH::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.